<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Pleased Pro
 * @since Pleased Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'pleased_pro_menu', array(
	'title'             => esc_html__('Header Menu','pleased-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'pleased-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'pleased_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'pleased_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Pleased_Pro_Switch_Control( $wp_customize, 'pleased_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'pleased-pro' ),
	'section'           => 'pleased_pro_menu',
	'on_off_label' 		=> pleased_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'pleased_pro_theme_options[nav_search_enable]', array(
	'sanitize_callback' => 'pleased_pro_sanitize_switch_control',
	'default'           => $options['nav_search_enable'],
) );

$wp_customize->add_control( new Pleased_Pro_Switch_Control( $wp_customize, 'pleased_pro_theme_options[nav_search_enable]', array(
	'label'             => esc_html__( 'Enable search', 'pleased-pro' ),
	'section'           => 'pleased_pro_menu',
	'on_off_label' 		=> pleased_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'pleased_pro_theme_options[menu_type]', array(
	'default'           => $options['menu_type'],
	'sanitize_callback' => 'pleased_pro_sanitize_select',
) );

$wp_customize->add_control( 'pleased_pro_theme_options[menu_type]', array(
	'type'    => 'radio',
	'label'    => esc_html__( 'Menu Type', 'pleased-pro' ),
	'section'  => 'pleased_pro_menu',
	'choices'  => array(
        'classic-menu'    => esc_html__( 'Classic Menu', 'pleased-pro' ),
        'modern-menu'     => esc_html__( 'Modern Menu', 'pleased-pro' ),
	),
) );